# coding: utf-8

"""
    VMware Aria Automation Assembler Blueprint API

    A multi-cloud Blueprint API for VMware Aria Automation Services  This page describes the RESTful APIs for Blueprint. The APIs facilitate CRUD operations on the various resources and entities used throughout Blueprint (Blueprints, Blueprint Terraform Integrations , PropertyGroups , etc.) and allow operations on them (creating a Blueprint, creating a Property group, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Blueprint entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/blueprint/api/blueprints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/blueprint/api/blueprints?$top=10&$skip=2```   # noqa: E501

    OpenAPI spec version: 2019-09-12
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'description': 'str',
        'sensitive': 'bool'
    }

    attribute_map = {
        'name': 'name',
        'description': 'description',
        'sensitive': 'sensitive'
    }

    def __init__(self, name=None, description=None, sensitive=None):  # noqa: E501
        """BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._description = None
        self._sensitive = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if description is not None:
            self.description = description
        if sensitive is not None:
            self.sensitive = sensitive

    @property
    def name(self):
        """Gets the name of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501

        The name of the output value in the Terraform configuration.  # noqa: E501

        :return: The name of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.

        The name of the output value in the Terraform configuration.  # noqa: E501

        :param name: The name of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def description(self):
        """Gets the description of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501

        The description of the output value in the Terraform configuration.  # noqa: E501

        :return: The description of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501
        :rtype: str
        """
        return self._description

    @description.setter
    def description(self, description):
        """Sets the description of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.

        The description of the output value in the Terraform configuration.  # noqa: E501

        :param description: The description of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501
        :type: str
        """

        self._description = description

    @property
    def sensitive(self):
        """Gets the sensitive of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501

        A flag indicating that the field should be obscured because of security concerns.  # noqa: E501

        :return: The sensitive of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501
        :rtype: bool
        """
        return self._sensitive

    @sensitive.setter
    def sensitive(self, sensitive):
        """Sets the sensitive of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.

        A flag indicating that the field should be obscured because of security concerns.  # noqa: E501

        :param sensitive: The sensitive of this BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues.  # noqa: E501
        :type: bool
        """

        self._sensitive = sensitive

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, BlueprintapiblueprintintegrationsterraformcreateblueprintfrommappingTerraformToBlueprintMappingOutputValues):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
